/****************************************************************************
**
** Copyright (C) 1992-2005 Trolltech AS. All rights reserved.
**
** This file is part of the Qt3Support module of the Qt Toolkit.
**
** Licensees holding a valid Qt License Agreement may use this file in
** accordance with the rights, responsibilities and obligations
** contained therein.  Please consult your licensing agreement or
** contact sales@trolltech.com if any conditions of this licensing
** agreement are not clear to you.
**
** Further information about Qt licensing is available at:
** http://www.trolltech.com/products/qt/licensing.html or by
** contacting info@trolltech.com.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#include "q3shared.h"

/*!
    \class Q3Shared
    \brief The Q3Shared class is used internally for implementing shared classes.
    \compat

    Use QSharedData and QSharedDataPointer instead.
*/


/*!
    \fn Q3Shared::Q3Shared()

    Constructs a Q3Shared object with a reference count of 1.
*/

/*!
    \fn void Q3Shared::ref()
*/

/*!
    \fn bool Q3Shared::deref()
*/
